apiVersion: org.etsi.osl/v1
kind: DummyOperatorService
metadata:
  name: example-dummy-operator-service
  namespace: default
spec:
  status: RUNNING
  qodProv:
    operation: CREATE
    provisioningId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    device:
      phoneNumber: "+123456789"
      networkAccessIdentifier: "123456789@domain.com"
      ipv4Address:
        publicAddress: "203.0.113.0"
        privateAddress: "192.168.1.100"
        publicPort: 5000
      ipv6Address: "2001:db8::ff00:42:8329"
    qosProfile: "QOS_A"
    sink: "https://endpoint.example.com/sink"
    sinkCredential: 
      credentialType: "PLAIN"
